;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Effect Name : constant
;
; Description : constant generator
;
; Nb In       : 0
; Nb Out      : 1
;
; Input       : None
; Output      : Constant
;
; Cycles      : 2 + 6 cycles (-1=unknownw)
; Memory      : 1 words (without init)
; Delay Line  : no
;
; Author      : Gregor
; Date        : 05/03/2003
; Version     : 1.0
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

ABS	INIT	0x3FF
	
	;; SEC1 Control parameters
ABS	Cst	0x0
	
	;; SEC2 Initial values of control parameters (S3.24 format)
ICst	EQU	0x1000000
	
	;; SEC3 Constants definitions

	;; SEC4 Memory variables definition

	;; SEC5 Initial values of memory variables

	;; SEC6 Initialization
CM	0x40000	INIT
SKIP	!Z	EndInit
C	ICst
SCA	0x0 Cst
C       0x1000000     ; 1->A
SCA     0x0     INIT        ; do not reinitialize next time
EndInit:

	;; SEC7 Module code
CM	0x40000 Cst
SCA	0x0 OUT1
