/////////////////////////////////////////////////////////////////////////////
// Name:        directories.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.1
// Created:     11/05/02
// Copyright:   (c) Axoris
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROJ_AL_PROJECT_INFO_H__
#define __PROJ_AL_PROJECT_INFO_H__

#include "../AL3101ModuleHeader.h"

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

class CProjectInfo : public wxDialog{
 public:
  // ctor & dtor
  CProjectInfo(wxWindow* parent, wxWindowID id, TModuleInfo *p);
  ~CProjectInfo();

  TModuleInfo *pi;

 private:
  wxButton *BtnOk, *BtnCancel;
  wxStaticText *TxtIntro, *TxtName, *TxtDescr, *TxtIDescr, *TxtODescr;
  wxStaticText *TxtNbIn, *TxtNbOut;
  wxTextCtrl *EdtName, *EdtDescr, *EdtIDescr, *EdtODescr;
  wxTextCtrl *EdtNbIn, *EdtNbOut;

  wxString Name, Descr, IDescr, ODescr, In, Out;
};

#endif
