#ifndef __AGALAG_MESSAGES_H__
#define __AGALAG_MESSAGES_H__

#include <stdio.h>
#include "options.h"

// macro for the output console
#define OUTPUT(format) fprintf(stdout, format)
#define OUTPUT1(format, p1) fprintf(stdout, format, p1)
#define OUTPUT2(format, p1, p2) fprintf(stdout, format, p1, p2)
#define OUTPUT3(format, p1, p2, p3) fprintf(stdout, format, p1, p2, p3)
#define OUTPUT4(format, p1, p2, p3, p4) fprintf(stdout, format, p1, p2, p3, p4)
#define OUTPUT5(format, p1, p2, p3, p4, p5) fprintf(stdout, format, p1, p2, p3, p4, p5)
#define OUTPUT6(format, p1, p2, p3, p4, p5, p6) fprintf(stdout, format, p1, p2, p3, p4, p5, p6)

// macro for the output console
#define VERBOSE(format) if (Options.Verbose) fprintf(stdout, format)
#define VERBOSE1(format, p1) if (Options.Verbose) fprintf(stdout, format, p1)
#define VERBOSE2(format, p1, p2) if (Options.Verbose) fprintf(stdout, format, p1, p2)
#define VERBOSE3(format, p1, p2, p3) if (Options.Verbose) fprintf(stdout, format, p1, p2, p3)
#define VERBOSE4(format, p1, p2, p3, p4) if (Options.Verbose) fprintf(stdout, format, p1, p2, p3, p4)
#define VERBOSE5(format, p1, p2, p3, p4, p5) if (Options.Verbose) fprintf(stdout, format, p1, p2, p3, p4, p5)
#define VERBOSE6(format, p1, p2, p3, p4, p5, p6) if (Options.Verbose) fprintf(stdout, format, p1, p2, p3, p4, p5, p6)

// macro for the output console
#define VERY_VERBOSE(format) if (Options.VeryVerbose) fprintf(stdout, format)
#define VERY_VERBOSE1(format, p1) if (Options.VeryVerbose) fprintf(stdout, format, p1)
#define VERY_VERBOSE2(format, p1, p2) if (Options.VeryVerbose) fprintf(stdout, format, p1, p2)
#define VERY_VERBOSE3(format, p1, p2, p3) if (Options.VeryVerbose) fprintf(stdout, format, p1, p2, p3)
#define VERY_VERBOSE4(format, p1, p2, p3, p4) if (Options.VeryVerbose) fprintf(stdout, format, p1, p2, p3, p4)
#define VERY_VERBOSE5(format, p1, p2, p3, p4, p5) if (Options.VeryVerbose) fprintf(stdout, format, p1, p2, p3, p4, p5)
#define VERY_VERBOSE6(format, p1, p2, p3, p4, p5, p6) if (Options.VeryVerbose) fprintf(stdout, format, p1, p2, p3, p4, p5, p6)

// macro for the warnings;}
#define WARNING(format) fprintf(stderr, format)
#define WARNING1(format, p1) fprintf(stderr, format, p1)
#define WARNING2(format, p1, p2) fprintf(stderr, format, p1, p2)
#define WARNING3(format, p1, p2, p3) fprintf(stderr, format, p1, p2, p3)
#define WARNING4(format, p1, p2, p3, p4) fprintf(stderr, format, p1, p2, p3, p4)

// macro for the errors
#define ERROR(format) fprintf(stderr, format)
#define ERROR1(format, p1) fprintf(stderr, format, p1)
#define ERROR2(format, p1, p2) fprintf(stderr, format, p1, p2)
#define ERROR3(format, p1, p2, p3) fprintf(stderr, format, p1, p2, p3)
#define ERROR4(format, p1, p2, p3, p4) fprintf(stderr, format, p1, p2, p3, p4)


#endif
