#ifndef __AL3101_H__
#define __AL3101_H__

#include "../../common/1K_types.h"
#include "asmfunc.h"
#include "disasmfunc.h"

#define NB_OPCODES  64

typedef struct{
  UINT32 OpCode;
  char Mnemonic[6];
  int NbParams;
  int (*f_asm) (int, char**, UINT32*, UINT32*);
  int (*f_disasm) (UINT32, UINT32, char*);
} TMnemonicTable;


#endif
