// Gen_TRI_internal.h: internal definitions for the Triangle wave generator functions.
//
/////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef __AL3101__GEN_TRI__INTERNAL__H__
#define __AL3101__GEN_TRI__INTERNAL__H__

#include <stdio.h>							// for the file IO
#include "../../common/1K_types.h"			// for the simulator types
#include "CFTriGenerator.h"


typedef struct Gen_TRI_Struct_structtag
{
	// Parameters
	float Amplitude;
	float Offset;

	// Internal variables
	
	// Memory variables
	INT32 *InputMemory;				// Address of the input memory

	// Sine generation
	CFTriGenerator TriGenerator;	// Class that generates the triangle wave

} Gen_TRI_Struct;


#endif // !defined(__AL3101__GEN_TRI__INTERNAL__H__)
