//--------------------------------------------------------------------//
//  AgALag : Axoris group AL3101 application generator                //
//                                                                    //
//                 _         _    _      _                            //
//                / \____   / \  | |    / \____                       //
//               / _ \  _\ / _ \ | |   / _ \  _\                      //
//              / /_\ \  __ /_\ \| |  / /_\ \  __                     //
//             / _____ \ \ \____ \ |_/______ \ \ \                    //
//            /_/     \_\___\   \_\____|    \_\___\                   //
//                                                                    //
//  File: ProjAL.h                                                    //
//  Description: fundamental constants of AL3101 Scripts manager      //
//  Version: 1.0                                                      //
//  Author: Gregor                                                    //
//  e-mail: Gregor.Soyez@swing.be                                     //
//                                                                    //
//  Copyright (C) 2002 Axoris                                         //
//--------------------------------------------------------------------//

#ifndef __PROJ_AL_H__
#define __PROJ_AL_H__

#define NB_CHANNELS    8
#define NB_SECTIONS    7
#define NB_TEMP_ADDR  16
#define STR_TEMP_ADDR "DIR"
#define AVAILABLE_MEMORY 1024

#define OUTPUT_MODULE_NAME "OUT"
#define INPUT_MODULE_NAME  "IN"

#define VERSION "1.0"

#endif
