/////////////////////////////////////////////////////////////////////////////
// Name:        AL3101EditProperties.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.1
// Created:     24/11/02
// Copyright:   (c)2002 Axoris
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROJ_AL_EDIT_PROPERTIES_H__
#define __PROJ_AL_EDIT_PROPERTIES_H__

#include "Config.h"
#include "AL3101DealProperties.h"

// For compilers that support precompilation, includes "wx/wx.h".
//#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers)
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif// Define a new frame type: this is going to be our main frame

class CProperties : public wxDialog{
 public:
  // ctor & dtor
  CProperties(wxWindow* parent, wxWindowID id, TModuleProperty *p, int NbProperties);
  ~CProperties();

  wxString *sProp;

 private:
  wxButton *BtnOk, *BtnCancel;
  wxStaticText *TxtIntro, **TxtProp;
  wxTextCtrl **EdtProp;
};

#endif
