/////////////////////////////////////////////////////////////////////////////
// Name:        directories.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.1
// Created:     11/05/02
// Copyright:   (c) Axoris
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROJ_AL_DIRECTORIES_H__
#define __PROJ_AL_DIRECTORIES_H__

#include "Config.h"

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers)
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif// Define a new frame type: this is going to be our main frame

class CDirectories : public wxDialog{
 public:
  // ctor & dtor
  CDirectories(wxWindow* parent, wxWindowID id, CConfig*);
  ~CDirectories();

  wxString EffectsDir, AssemblerDir, ProjectDir, SkinDir;

 private:
  void OnBrowse(wxCommandEvent &event);

  wxButton *BtnOk, *BtnCancel;
  wxStaticText *TxtIntro, *TxtEffects, *TxtAssembler, *TxtProject, *TxtSkin;
  wxTextCtrl *EdtEffects, *EdtAssembler, *EdtProject, *EdtSkin;
  wxButton *BtnEffects, *BtnAssembler, *BtnProject, *BtnSkin;

  DECLARE_EVENT_TABLE()
};

#endif
