/////////////////////////////////////////////////////////////////////////////
// Name:        projopt.h
// Project:     GUI for Axoris AL3101 application generator
// Author:      Gregor(y) Soyez
// Version:     1.0
// Created:     02/03/03
// Copyright:   (c) Axoris
/////////////////////////////////////////////////////////////////////////////

#ifndef __PROJ_PROJECT_OPTIONS_H__
#define __PROJ_PROJECT_OPTIONS_H__

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers)
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif// Define a new frame type: this is going to be our main frame

typedef struct{
  bool AsmVerbose;
  int MkProjVerboseLevel;
  bool MkProjMem;
  bool MkProjLab;
} TProjectOptions;

class CProjectOptions : public wxDialog{
 public:
  // ctor & dtor
  CProjectOptions(wxWindow* parent, wxWindowID id, TProjectOptions*);
  ~CProjectOptions();

 private:
  wxButton *BtnOk, *BtnCancel;
  wxStaticText *TxtIntro, *TxtAsm, *TxtMkProj;
  wxCheckBox *cbAsmVerbose, *cbMkProjMem, *cbMkProjLab;
  wxRadioBox *rbMkProjVerbose;
};

#endif
