#ifndef __AL3101_H__
#define __AL3101_H__

#include "AL3101AsmFunc.h"
#include "AL3101DisasmFunc.h"
#include "AL3101SimulationFunctions.h"

#define NB_OPCODES  64

typedef struct{
  int OpCode;
  char Mnemonic[6];
  int (*f_asm) (int, char**, AL3101_Disasm_struct*);
  int (*f_disasm) (UINT32, UINT32, AL3101_Disasm_struct*, char*);
  void (*f_simul) (AL3101_struct*, AL3101_Disasm_struct*);
} TMnemonicTable;

#endif
