/********************************************************************/
/*                                                                  */
/*                        A X O R I S                               */
/*                                                                  */
/*                Alesis AL3101/2 DSP Simulator                     */
/*                                                                  */
/********************************************************************/
/*                                                                  */
/* Origin Date    : June 2001                                       */
/* Project Version: v0.1                                            */
/* FileName       : Debug.h                                         */
/* File Version   : v0.1                                            */
/* Author         : Fabian Duchesne                                 */
/* Last Modif     : September 2001                                  */
/*                                                                  */
/********************************************************************/

#ifndef _DEBUG_HANDLING_
#define _DEBUG_HANDLING_

//#define DBG_INFO

#define DBG_PROMPT "DBG:"

/*****************************************/
/* D E B U G G I N G   M A C R O S       */
/*****************************************/
#ifdef DEBUG

#define DBG_PRINT(_x_)						{fprintf(stdout, DBG_PROMPT); \
											 fprintf(stdout, _x_);}
#define DBG_PRINT_L1(_x_, _y_)				{fprintf(stdout, DBG_PROMPT); \
											 fprintf(stdout, _x_, _y_);}
#define DBG_PRINT_L2(_x_, _y_, _z_)			{fprintf(stdout, DBG_PROMPT); \
											 fprintf(stdout, _x_, _y_, _z_);}
#define DBG_PRINT_L3(_x_, _y_, _z_, _w_)	{fprintf(stdout, DBG_PROMPT); \
											 fprintf(stdout, _x_, _y_, _z_, _w_);}

#else

#define DBG_PRINT(_x_)
#define DBG_PRINT_L1(_x_, _y_)
#define DBG_PRINT_L2(_x_, _y_, _z_)
#define DBG_PRINT_L3(_x_, _y_, _z_, _w_)

#endif /* DBG_INFO */

#endif /* _DEBUG_HANDLING_ */

