#if !defined __1K_MESSAGE_MACROS__
#define __1K_MESSAGE_MACROS__

//#define AL3101SIM_GUI			// GUI version
#undef AL3101SIM_GUI			// Command line version

#ifdef AL3101SIM_GUI			// We are in GUI mode

#else					// We are in command-line mode
// macro for the input console
#define INPUT(sd) fprintf(stdin, sd)

// macro for the output console
#define OUTPUT(sd) fprintf(stdout, sd)
#define OUTPUT_1(sd, p1) fprintf(stdout, sd, p1)
#define OUTPUT_2(sd, p1, p2) fprintf(stdout, sd, p1, p2)
#define OUTPUT_3(sd, p1, p2, p3) fprintf(stdout, sd, p1, p2, p3)
#define OUTPUT_4(sd, p1, p2, p3, p4) fprintf(stdout, sd, p1, p2, p3, p4)
#define OUTPUT_5(sd, p1, p2, p3, p4, p5) fprintf(stdout, sd, p1, p2, p3, p4, p5)
#define OUTPUT_6(sd, p1, p2, p3, p4, p5, p6) fprintf(stdout, sd, p1, p2, p3, p4, p5, p6)
#define OUTPUT_7(sd, p1, p2, p3, p4, p5, p6, p7) fprintf(stdout, sd, p1, p2, p3, p4, p5, p6, p7)

// macro for the warnings;}
#define WARNING(sd) fprintf(stderr, sd)
#define WARNING_1(sd, p1) fprintf(stderr, sd, p1)

// macro for the errors
#define ERROR(sd) fprintf(stderr, sd)
#define ERROR_1(sd, p1) fprintf(stderr, sd, p1)
#define ERROR_2(sd, p1, p2) fprintf(stderr, sd, p1, p2)
#define ERROR_3(sd, p1, p2, p3) fprintf(stderr, sd, p1, p2, p3)

// macro for the message
#define MESSAGE(sd) fprintf(stdout, sd)

// macro for information
#define INFO(sd) fprintf(stdout, sd)
#define INFO_1(sd, p1) fprintf(stdout, sd, p1)

// macro for things that should never happen leading to a bug report
#define BUG_REPORT(sd) fprintf(stderr, "Bug report: ", sd)

// flush macros for Linux layout
#define FLUSH_INPUT fflush(stdin)
#define FLUSH_OUTPUT fflush(stdout)
#define FLUSH_WARNING fflush(stderr)
#define FLUSH_ERROR fflush(stderr)
#define FLUSH_MESSAGE fflush(stdout)
#define FLUSH_INFO fflush(stdout)
#define FLUSH_BUG_REPORT fflush(stderr)

#endif

#endif //__1K_MESSAGE_MACROS__
